#! /bin/bash
# utils/modxslt-config.pre.  Generated from modxslt-config.pre.in by configure.

#   mod-xslt -- Copyright (C) 2002, 2003 
# 		 Carlo Contavalli 
# 		 <ccontavalli at masobit.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

set -e 

prefix="/usr"
exec_prefix="${prefix}"

_acrt_srcdir=.
_acrt_abs_srcdir=/build/buildd/modxslt-2004112100/utils
_acrt_top_srcdir=..
_acrt_abs_top_srcdir=/build/buildd/modxslt-2004112100/utils/..

_acrt_builddir=.
_acrt_abs_builddir=/build/buildd/modxslt-2004112100/utils
_acrt_top_builddir=../
_acrt_abs_top_builddir=/build/buildd/modxslt-2004112100/utils/../.

# Do NOT remove the following comment!
#%{AUTOCONF_VARS}%#
_acrt_SHELL='/bin/sh'
_acrt_PATH_SEPARATOR=':'
_acrt_PACKAGE_NAME='mod-xslt'
_acrt_PACKAGE_TARNAME='mod-xslt'
_acrt_PACKAGE_VERSION='1.3.8'
_acrt_PACKAGE_STRING='mod-xslt 1.3.8'
_acrt_PACKAGE_BUGREPORT='ccontavalli at masobit.net'
_acrt_exec_prefix='${prefix}'
_acrt_prefix='/usr'
_acrt_program_transform_name='s'
_acrt_bindir='${exec_prefix}/bin'
_acrt_sbindir='${exec_prefix}/sbin'
_acrt_libexecdir='${exec_prefix}/libexec'
_acrt_datadir='${prefix}/share'
_acrt_sysconfdir='${prefix}/etc'
_acrt_sharedstatedir='${prefix}/com'
_acrt_localstatedir='${prefix}/var'
_acrt_libdir='${exec_prefix}/lib'
_acrt_includedir='${prefix}/include'
_acrt_oldincludedir='/usr/include'
_acrt_infodir='${prefix}/info'
_acrt_mandir='${prefix}/man'
_acrt_build_alias=''
_acrt_host_alias=''
_acrt_target_alias=''
_acrt_DEFS='-DHAVE_CONFIG_H'
_acrt_ECHO_C=''
_acrt_ECHO_N='-n'
_acrt_ECHO_T=''
_acrt_LIBS=' -L/usr/lib -lxslt -lxml2 -lz -lm -lexslt -L/usr/lib -lpcre -lpthread'
_acrt_CC='gcc'
_acrt_CFLAGS='-g -O2 -D_REENTRANT'
_acrt_LDFLAGS=''
_acrt_CPPFLAGS='-I/usr/include/libxml2  -I/usr/include/libxml2 '
_acrt_ac_ct_CC='gcc'
_acrt_EXEEXT=''
_acrt_OBJEXT='o'
_acrt_INSTALL_PROGRAM='${INSTALL}'
_acrt_INSTALL_SCRIPT='${INSTALL}'
_acrt_INSTALL_DATA='${INSTALL} -m 644'
_acrt_SET_MAKE=''
_acrt_build='x86_64-unknown-linux-gnu'
_acrt_build_cpu='x86_64'
_acrt_build_vendor='unknown'
_acrt_build_os='linux-gnu'
_acrt_host='x86_64-unknown-linux-gnu'
_acrt_host_cpu='x86_64'
_acrt_host_vendor='unknown'
_acrt_host_os='linux-gnu'
_acrt_EGREP='grep -E'
_acrt_LN_S='ln -s'
_acrt_ECHO='echo'
_acrt_AR='ar'
_acrt_ac_ct_AR='ar'
_acrt_RANLIB='ranlib'
_acrt_ac_ct_RANLIB='ranlib'
_acrt_STRIP='strip'
_acrt_ac_ct_STRIP='strip'
_acrt_CPP='gcc -E'
_acrt_CXX='g++'
_acrt_CXXFLAGS='-g -O2'
_acrt_ac_ct_CXX='g++'
_acrt_CXXCPP='g++ -E'
_acrt_F77=''
_acrt_FFLAGS=''
_acrt_ac_ct_F77=''
_acrt_LIBTOOL='$(SHELL) $(top_builddir)/libtool'
_acrt_LIBOBJS=''
_acrt_EN_XSLT_DEBUG='disabled'
_acrt_EN_DEBUG='disabled'
_acrt_EN_THREAD='enabled'
_acrt_EN_EXTENSIONS='enabled'
_acrt_EN_XINCLUDE='enabled'
_acrt_EN_LIBXSLT_HACK='disabled'
_acrt_EN_FALLBACK_WRAPAROUND='disabled'
_acrt_XML2='/usr/bin/xml2-config'
_acrt_XSLT='/usr/bin/xslt-config'
_acrt_PCRE='/usr/bin/pcre-config'
_acrt_APXS='/usr/bin/apxs'
_acrt_APXS_INSTALLDIR='/usr/lib/apache/1.3'
_acrt_APRC=''
_acrt_APUC=''
_acrt_SAPI_CC='gcc'
_acrt_SAPI_CFLAGS='-DLINUX=22 -DEAPI -DTARGET="apache" -DHAVE_SET_DUMPABLE -DDB_DBM_HSEARCH=1 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -O1  -g -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fPIC -DSHARED_MODULE'
_acrt_SAPI_CPPFLAGS='-I/usr/include/libxml2  -I/usr/include/libxml2  -I/usr/include/apache-1.3'
_acrt_SAPI_LD='gcc'
_acrt_SAPI_LDFLAGS='-shared'
_acrt_SAPI_LIBS='-lc -lm -lpthread -lcrypt -ldb -ldb -lexpat'
_acrt_LD='/usr/bin/ld -m elf_x86_64'
_acrt_DEFAULT_TARGET='all'
_acrt_SAPI='apache1'
_acrt_LIB_VERSION='0'
_acrt_LIB_CURRENT='0'
_acrt_LIB_REVISION='0'
_acrt_LIB_AGE='0'
_acrt_LTLIBOBJS=''
_acrt_configure_input='$configure_input'
#%{AUTOCONF_VARS}%#
#%{AUTOCONF_VARS}%#

package_name="modxslt"
_rt_libs="-L${exec_prefix}/lib -l${package_name}0"
_rt_libtool_libs="${exec_prefix}/lib/lib${package_name}0.la"
_rt_includes="-I${prefix}/include"
_rt_cppflags="-I/usr/include/libxml2  -I/usr/include/libxml2 "
_rt_cflags="-g -O2 -D_REENTRANT"

usage="\
Usage: ${package_name}-config [OPTIONS]
Available OPTIONS:
  --prefix	 lib${package_name} install prefix (as specified to configure) 
  --exec-prefix  lib${package_name} install exec_prefix (as specified to configure)

  --libs	 parameters for ld to link against lib${package_name}
  --libtool-libs parameters for libtool to link against lib${package_name}
  --includes	 parameters for cc to use lib${package_name} headers

  --cppflags	 flags to pass over to the c preprocessor to use lib${package_name}
  --cflags 	 flags to pass over cc to correctly compile using lib${package_name}

  --list	 lists all variables known to ${package_name}-config
  --query=[VAR]	 shows the value of the variable VAR. Shell variables 
                 are expanded 
  --show=[VAR]	 shows the value of the variable VAR. Shell variables 
  		 are _not_ expanded

  --version	 shows lib${package_name} version

  If more than one option is specified on the command line, the name
of the parameter being printed is prepended to its output. 
  Exit status:
        1 - No arguments - help screen was displayed
	2 - An argument which does not need any additional argument was
	    encountered with an argument (like --prefix=fuffa)
	3 - An argument which needs an additional argument was encountered
	    without it (like --query --prefix)
	4 - An unknown argument was specified
  Any other exit value should be interpreted accordingly to the shell
being used and to the command that failed."

  # Check if at least one parameter
  # was specified
if test $# -eq 0; then
  echo "${usage}"
  exit 1
fi

if test "$#" -gt 1; then
  _rt_output_name="yes"
fi

while test $# -gt 0; do
   # Get any optional argument passed over
   # to the parameter
  case "$1" in
    -*=*)
      optarg=`echo "$1"|sed 's/[a-zA-Z0-9_-]*=//'`
     ;;

    *)
      optarg=""
     ;;
  esac

    # Output parameter name if necessary
  if test "x$_rt_output_name" = "xyes"; then
    echo "$1:"
  fi

    # Output parameter value 
  case "$1" in
    --prefix)
      echo "$prefix"
     ;;
    
    --exec-prefix)
      echo "$exec_prefix"
     ;;

    --libs)
      echo "$_rt_libs"
     ;;

    --libtool-libs)
      echo "$_rt_libtool_libs"
     ;;
    
    --includes)
      echo "$_rt_includes"
     ;;

    --cppflags)
      echo "$_rt_cppflags"
     ;;
    
    --cflags)
      echo "$_rt_cflags"
     ;;
    
    --version)
      echo "$_acrt_PACKAGE_VERSION"
     ;;

    --list)
      set|grep '^_acrt_'|sed -e 's/_acrt_//'
     ;;

    --query*)
      if test "x$optarg" = "x"; then
        echo "--query=[VAR] - missing VAR" 1>&2
	echo "${usage}"
	exit 3
      fi
      eval echo `eval echo \\$_acrt_$optarg`
      optarg=""
     ;;

    --show*)
      if test "x$optarg" = "x"; then
        echo "--show=[VAR] - missing VAR" 1>&2
	echo "${usage}"
	exit 3
      fi
      eval echo \$_acrt_$optarg
      optarg=""
     ;;

    *)
     echo "$1 - unknown parameter" 1>&2
     echo "${usage}"
     exit 4
  esac

    # Check if an useless optional
    # parameter was specified
  if test "x$optarg" != "x"; then
    echo "$1 - does not require any parameter" 1>&2
    echo "${usage}"
    exit 2
  fi

    # Go on to next parameter
  shift
done
